<script>
export default {
  name: "Parking",
  data() {
    return {
      park: true,
    }
  },
  methods:{
    toVR(){
      this.$router.push('/cari')
    }
  }
}
</script>

<template>
  <div class="custom-body">
    <div class="card-body w-full">
      <u-card class="mb-2" shadow left-text="倒车雷达">
        <template #right>
          <u-switch v-model="park" :value="park" />
        </template>
      </u-card>

      <u-card shadow left-text="全息影像" is-arrow  @onClick="toVR()"/>
    </div>

    <svg-icon v-if="park" icon-class="park_icon" class="park" />

    <img
      src="../../assets/images/setting/setting_car.webp"
      alt=""
      class="custom-body-img"
    />
  </div>
</template>

<style scoped lang="scss">
.park {
  position: absolute;
  right: 40px;
  width: 149px;
  height: 52px;
  top: 220px;
}
.custom-body {
  display: flex;
  width: 694px;

  &-img {
    width: 774px;
    height: 697px;
    position: absolute;
    right: 93px;
    top: 220px;
    z-index: 0;
    object-fit: contain;
  }
}
</style>